#
# spec file for package ladspa-devel (Version 1.12.code10.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ladspa-devel
Summary:        Include Files mandatory for Development.
Version:        1.12.code10.3
Release:        104
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Source:         ladspa_sdk_1.12.tar.bz2
Url:            http://www.ladspa.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains include files to develop LADSPA plugins.



Authors:
--------
    Richard Furse <richard@muse.demon.co.uk>

%prep
%setup -n ladspa_sdk

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_includedir}
cp src/ladspa.h $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -av README $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -av doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}
ln -sf %{_includedir}/ladspa.h $RPM_BUILD_ROOT%{_docdir}/%{name}/ladspa.h.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_includedir}/*

%changelog
